logo

Compatible Formats

LLMoxy supports multiple request formats. Existing applications usually only need to replace the Base URL and API Key to migrate.

OpenAI Compatible

OpenAI SDK configuration:

import OpenAI from "openai";

const client = new OpenAI({
  apiKey: process.env.LLMOXY_API_KEY,
  baseURL: "https://llmoxy.com/v1",
});

Main routes:

RoutePurpose
POST /v1/chat/completionsChat Completions.
POST /v1/completionsLegacy text completions.
POST /v1/responsesResponses API.
POST /v1/embeddingsEmbeddings.
POST /v1/images/generationsImage generation.
POST /v1/audio/transcriptionsAudio transcription.
POST /v1/audio/translationsAudio translation.
POST /v1/audio/speechText-to-speech.
GET /v1/realtimeRealtime WebSocket.

Anthropic Messages

curl https://llmoxy.com/v1/messages \
  -H "x-api-key: <LLMOXY_API_KEY>" \
  -H "anthropic-version: 2023-06-01" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "claude-3-5-sonnet-latest",
    "max_tokens": 256,
    "messages": [
      { "role": "user", "content": "Hello" }
    ]
  }'

Anthropic routes accept system, max_tokens, temperature, top_p, top_k, stop_sequences, tools, tool_choice, thinking, metadata.user_id, and other fields.

Gemini

curl "https://llmoxy.com/v1beta/models/gpt-5.4:generateContent" \
  -H "x-goog-api-key: <LLMOXY_API_KEY>" \
  -H "Content-Type: application/json" \
  -d '{
    "contents": [
      {
        "role": "user",
        "parts": [{ "text": "Explain LLMoxy in one sentence." }]
      }
    ]
  }'

Gemini-style model lists can use GET /v1beta/models.

Not Yet Implemented Routes

Currently Relay returns not implemented for the following OpenAI-compatible routes:

  • POST /v1/images/variations
  • /v1/files
  • /v1/fine-tunes
  • DELETE /v1/models/{model}